Bug 1011280 (CVE-2016-9431)

Summary: VUL-0: CVE-2016-9431: w3m: stack overflow
Product: [Novell Products] SUSE Security Incidents Reporter: Alexander Bergmann <abergmann>
Component: IncidentsAssignee: Thomas Blume <thomas.blume>
Status: RESOLVED FIXED QA Contact: Security Team bot <security-team>
Severity: Normal    
Priority: P3 - Medium CC: abergmann, jsegitz
Version: unspecified   
Target Milestone: ---   
Hardware: Other   
OS: Other   
Whiteboard: CVSSv2:RedHat:CVE-2016-9431:4.3:(AV:N/AC:M/Au:N/C:N/I:N/A:P) CVSSv2:NVD:CVE-2016-9431:4.3:(AV:N/AC:M/Au:N/C:N/I:N/A:P) CVSSv3:NVD:CVE-2016-9431:6.5:(AV:N/AC:L/PR:N/UI:R/S:U/C:N/I:N/A:H) CVSSv3:RedHat:CVE-2016-9431:4.3:(AV:N/AC:L/PR:N/UI:R/S:U/C:N/I:N/A:L)
Found By: --- Services Priority:
Business Priority: Blocker: ---
Marketing QA Status: --- IT Deployment: ---
Bug Depends on:    
Bug Blocks: 1011293    

Description Alexander Bergmann 2016-11-21 12:04:47 UTC
w3m: multiple vulnerabilities
http://seclists.org/oss-sec/2016/q4/452

stackoverflow in deleteFrameSet() on malform input

Issue: https://github.com/tats/w3m/issues/10
Comment 1 Swamp Workflow Management 2016-11-21 22:59:11 UTC
bugbot adjusting priority
Comment 2 Alexander Bergmann 2016-11-22 08:55:22 UTC
Upstream Fix:
https://github.com/tats/w3m/commit/9f0bdcfdf061db3520bd1f112bdc5e83acdec4be
Comment 3 Alexander Bergmann 2016-11-22 09:01:11 UTC
The fixes in bsc#1011281 are superseding the fix from comment 2.

Therefore the final commit fixes several CVEs at ones.
Comment 4 Thomas Blume 2017-05-11 07:51:14 UTC
closing
Comment 6 Johannes Segitz 2018-05-03 13:29:02 UTC
also fixed in tracker bug 1011293